Subject: bug#5849: 23.1.95; completion-auto-help blocks icomplete-mode

From: "Drew Adams" <[email-masked]>
Date: Sat, 10 Apr 2010 10:55:58 -0700

> > 1. Emacs -q -nw
> > 2. (icomplete-mode t)
> > 3. (setq completion-auto-help 'lazy)
> > 4. M-x w TAB
> >
> > The message from completion [Next char not unique] will 
> > block the hint from icomplete mode.
> 
> Maybe completion-auto-help should do nothing if icomplete-mode is on.
> What do you think?

That would be a terrible idea. That would mean not showing *Completions*.

If the value is `lazy' and you see [Next char not unique], that message just
lets you know that there are completions; hitting TAB a second time then shows
*Completions*.

If your suggestion were to just not show the message [Next char not unique] when
icomplete-mode is on, that would be different. In that case, OK. Yes, that
message is not really needed if icomplete-mode is showing possible completions.

But we certainly do not want to suppress display of *Completions* just because
icomplete-mode is on. That would be crazy.